> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-v2-list-deployment-options",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List deployment options with Chainstack Platform API v2

> List every available protocol, network, region, and node type combination supported by Chainstack. Send a GET request to /v2/deployment-options/ to fetch them.



## OpenAPI

````yaml get /v2/deployment-options/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v2
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v2/deployment-options/:
    get:
      tags:
        - Deployment Options
      summary: List deployment options
      description: >
        List all available deployment options for your organization.

        Returns the deployable nodes matrix filtered to shared node types on
        global clouds.

        Each option includes the blockchain ID, cloud ID, protocol, network, and
        available features.
      operationId: listDeploymentOptions
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentOptionsResponse'
              examples:
                list:
                  value:
                    options:
                      - blockchain: BC-000-000-008
                        cloud: CC-0016
                        region: us-east-1
                        provider: aws
                        protocol: ethereum
                        network: ethereum-mainnet
                        features:
                          - full
                      - blockchain: BC-000-000-017
                        cloud: CC-0016
                        region: us-east-1
                        provider: aws
                        protocol: ethereum
                        network: ethereum-sepolia-testnet
                        features:
                          - full
                      - blockchain: BC-000-000-015
                        cloud: CC-0016
                        region: us-east-1
                        provider: aws
                        protocol: solana
                        network: solana-mainnet
                        features:
                          - full
                      - blockchain: BC-000-000-006
                        cloud: CC-0016
                        region: us-east-1
                        provider: aws
                        protocol: bsc
                        network: bsc-mainnet
                        features:
                          - full
                      - blockchain: BC-000-000-010
                        cloud: CC-0016
                        region: us-east-1
                        provider: aws
                        protocol: polygon-pos
                        network: polygon-pos-mainnet
                        features:
                          - full
          description: ''
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
      security:
        - APIKeyAuthentication: []
components:
  schemas:
    DeploymentOptionsResponse:
      type: object
      description: Response containing the list of available deployment options.
      properties:
        options:
          type: array
          description: List of available deployment options.
          items:
            $ref: '#/components/schemas/DeploymentOption'
      required:
        - options
    DeploymentOption:
      type: object
      description: A single deployable node option.
      properties:
        blockchain:
          type: string
          description: The unique identifier of the blockchain configuration.
          example: BC-000-000-008
        cloud:
          type: string
          description: The unique identifier of the cloud provider.
          example: CC-0016
        region:
          type: string
          description: Cloud region identifier.
          example: us-east-1
        provider:
          type: string
          description: Cloud provider name.
          example: aws
        protocol:
          type: string
          description: The blockchain protocol name.
          example: ethereum
        network:
          type: string
          description: The network name.
          example: ethereum-mainnet
        features:
          type: array
          description: List of available features for this deployment option.
          items:
            type: string
          example:
            - full
      required:
        - blockchain
        - cloud
        - region
        - provider
        - protocol
        - network
        - features
  responses:
    UnauthorizedError:
      description: Authentication credentials were missing or incorrect.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
    ForbiddenError:
      description: The request is not allowed with the current permissions.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````